Page MenuHomePhabricator

"Edit Differential Revisions" is jargon if you don't know that Differential is the name of Phab's Code Review tool
Closed, ResolvedPublic

Description

The phrase is either redundant or contradictory

Details

Reference
fl129

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:26 AM
flimport set Reference to fl129.

aklapper wrote on 2014-04-18 08:47:06 (UTC)

Where to find this phrase exactly? Steps to reproduce welcome, as with every ticket...

Nemo_bis wrote on 2014-04-18 09:02:15 (UTC)

Try ctrl-f on this task

aklapper wrote on 2014-04-18 09:31:30 (UTC)

It is not "Edit differential versions", it is "Edit Differential Versions" instead.

"Differential" is the name of the Code Review tool, see http://fab.wmflabs.org/

This is the general question how much of Phabricator's eigen names for its tools we want to keep in the UI - same complaint pattern would be about "Edit Maniphest Tasks" if you don't know that Maniphest is for Tasks and Bugs.

Nemo_bis wrote on 2014-04-18 09:39:46 (UTC)

True, I normalised the case to what it should be. Proper names are made worse by the fact that even common names are uppercase, so there is no way to identify what's supposed to be a proper name.

same complaint pattern would be about "Edit Maniphest Tasks" if you don't know that Maniphest is for Tasks and Bugs.

Yes, I wanted to file that one too but I refrained because I'm so sober. :P

qgil wrote on 2014-04-21 03:27:24 (UTC)

translation.override can be edited through the Admin panel, and this is useful to change strings like this one. Now it says "Edit Code Revisions".

I have changed this one for demonstration/testing purposes. In the official Phabricator instance we will need to discuss what default strings we want to change.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:26 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM